<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Viewport Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#7998e64f3a79ac014813218f5e7cdd8e">_clearUpdatedFlag</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#281c5fa62a3da7ac0a1d9157483e25f3">_getNumRenderedBatches</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#f7c0f96ca9eb135af8b4e4da601fd907">_getNumRenderedFaces</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#dd9644e3223359c0eb1075de0b1b801b">_getRenderQueueInvocationSequence</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#93972965b5498b5aab4e18fe78c93647">_isUpdated</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#23c2b69bbc3d76fd52a4729a71caed08">_updateDimensions</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#464b7641f63ceb11542452e08f0c7682">getActualDimensions</a>(int &amp;left, int &amp;top, int &amp;width, int &amp;height) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#bb04c51b0c8c39ff0d08213d3b263561">getActualHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#78b1d4c2b44a2243766d18f018a98939">getActualLeft</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#604d46921a9c64ded5c65a9e93b7e8ee">getActualTop</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#6f777d1ade751a38ce0851307f52b6c2">getActualWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a550346673e5e77951bbe44165b59808">getBackgroundColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a947285883082c628512beed7b1a33be">getCamera</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#747d9d108b9702674598853051d21b7d">getClearBuffers</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#d1894b2114c40f68f98580dcd8110d25">getClearEveryFrame</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ceef8b4b94fb974dbd620e16228d08e5">getHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#d3325a6b0fb12409b0fe8d9499a26322">getLeft</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#6a7957a8f88824cb9dffad4627aed0c2">getMaterialScheme</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#d1a3965c457f32ef2b94a27c4d66d192">getOverlaysEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#78beb299d9ca2681365a19de39708a0d">getRenderQueueInvocationSequenceName</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#34a4b65ac55e6b6f107f6800050dbdb6">getShadowsEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#7f298d53b2d7575bbacc0d556df14774">getSkiesEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#87f6429f7060f2dc18aec304bb24e2b2">getTarget</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#242540dcb26c2d3ebd3cbe0cb6c04728">getTop</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#84e9c01f4e8e62422be4fda269dd54cd">getVisibilityMask</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#6b2b7e7b071c6666c957f2cfbcdeeca6">getWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#642b036b0688acdc47745dab0149a84c">getZOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#b7b093d9ac827c273768e53060fd8726">mActHeight</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#646ba5a5404bdfdf3d79a5a2683304be">mActLeft</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#9964f4588bc0db471354d0b9d7d9ff7f">mActTop</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#4ff8c7f41b09c379d3b58b662a3efea8">mActWidth</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#36865f1dadd8c420534b75d908d102be">mBackColour</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#36698bf38ccd2f3352acdfa87f872bc8">mCamera</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#c6f276653f755783c0c7a9553eae8e66">mClearBuffers</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#cfd2ea86e54aee8f02f41e1fb5dc3b9b">mClearEveryFrame</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#cbe0e8aaceb85d46ace547d5f5204090">mMaterialSchemeName</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#8e2133edd0baaa674df0874781592e5e">mRelHeight</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#0dd49213851c5c32d8b9688d1ea70ab7">mRelLeft</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#7ad1871b3ae4f48605ba777bc7fad8c2">mRelTop</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#afd8a3dc0df1d03cbab1810379c66475">mRelWidth</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#8b082dd8109b00852809d8ca821dbccb">mRQSequence</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a1a763caddecc5e3d49b72bbd8726ce2">mRQSequenceName</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#628f58393bf84c4fb404421919b6f198">mShowOverlays</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#508ab72bd9d5739210a6db2da0cbbc39">mShowShadows</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#de5f6bd07d4902efb3e087c73a57ecab">mShowSkies</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#30e4c768a1a5ac98c6b1eae1aa1936a7">mTarget</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#b709605fc7d6015af896b43cc71831ba">mUpdated</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#9af0d0c0aca7cfedae4bd2b8fef0c333">mVisibilityMask</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#682fb477e687507fd715f2dfd29c397c">mZOrder</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#3770973e7626d75592a79d0670b862d9">setBackgroundColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#20aa22b47f03e523aaeb0d54e094fbf3">setCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#d9c172c23b0dcccd929f31d4416f9683">setClearEveryFrame</a>(bool clear, unsigned int buffers=FBT_COLOUR|FBT_DEPTH)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ed7bc69a7ca7a787d79832dbccff9e27">setDimensions</a>(Real left, Real top, Real width, Real height)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#8e8577fd81c45b05de880106f364a281">setMaterialScheme</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#598f5bd68b1c88cd3ae5a50343965afd">setOverlaysEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#145439ce2c54216d8d65d3066bbedbdd">setRenderQueueInvocationSequenceName</a>(const String &amp;sequenceName)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#b71a4790d66e3cddd3b36b3c1b4fd23c">setShadowsEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#176a24ccbb9881c4fc61f3f1aaba3c12">setSkiesEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#d5a4fe00ee05861c157bf63e78e1c2b0">setVisibilityMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#b281517fd8070ab1617f126b752bb025">update</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ecd83ce23cc219ed1ba2f9f0b463325b">Viewport</a>(Camera *camera, RenderTarget *target, Real left, Real top, Real width, Real height, int ZOrder)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#7b76633e02431bd4254f6d4629b7672a">~Viewport</a>()</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:12 2008
</p>
</body>
</html>
